using UnityEngine;
using UnityEngine.Events;

namespace ThirdParty.DownloadSystem
{
    public interface IDownloadUI
    {
        GameObject MyGameObject { get; }
        void ClearSlider();

        void SetSlider(SliderData sliderData);
        void SetMassge(string massgeValue);
        void ShowPopWindow(int state, string message, UnityAction cancelCallBack, UnityAction okCallBack);
        void HidePopWindow();
        string GetLoadingText(int id);
    }
}